Package org.optaplanner.benchmark.config

## Class ProblemBenchmarksConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<ProblemBenchmarksConfig>
  - - org.optaplanner.benchmark.config.ProblemBenchmarksConfig

-     public class ProblemBenchmarksConfig
      extends AbstractConfig<ProblemBenchmarksConfig>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProblemBenchmarksConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Solution_> void` | `buildProblemBenchmarkList​(SolverConfigContext solverConfigContext, SolverBenchmarkResult solverBenchmarkResult, Solution_[] extraProblems)` |
    `ProblemBenchmarksConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `List<File>` | `getInputSolutionFileList()` |
    `Boolean` | `getProblemStatisticEnabled()` |
    `List<ProblemStatisticType>` | `getProblemStatisticTypeList()` |
    `List<SingleStatisticType>` | `getSingleStatisticTypeList()` |
    `Class<SolutionFileIO>` | `getSolutionFileIOClass()` |
    `Boolean` | `getWriteOutputSolutionEnabled()` |
    `List<Class>` | `getXStreamAnnotatedClassList()` |
    `ProblemBenchmarksConfig` | `inherit​(ProblemBenchmarksConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setInputSolutionFileList​(List<File> inputSolutionFileList)` |
    `void` | `setProblemStatisticEnabled​(Boolean problemStatisticEnabled)` |
    `void` | `setProblemStatisticTypeList​(List<ProblemStatisticType> problemStatisticTypeList)` |
    `void` | `setSingleStatisticTypeList​(List<SingleStatisticType> singleStatisticTypeList)` |
    `void` | `setSolutionFileIOClass​(Class<SolutionFileIO> solutionFileIOClass)` |
    `void` | `setWriteOutputSolutionEnabled​(Boolean writeOutputSolutionEnabled)` |
    `void` | `setXStreamAnnotatedClassList​(List<Class> xStreamAnnotatedClassList)` |

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProblemBenchmarksConfig

          public ProblemBenchmarksConfig()

  - ### Method Detail

    - #### getSolutionFileIOClass

          public Class<SolutionFileIO> getSolutionFileIOClass()

    - #### setSolutionFileIOClass

          public void setSolutionFileIOClass​(Class<SolutionFileIO> solutionFileIOClass)

    - #### getXStreamAnnotatedClassList

          public List<Class> getXStreamAnnotatedClassList()

    - #### setXStreamAnnotatedClassList

          public void setXStreamAnnotatedClassList​(List<Class> xStreamAnnotatedClassList)

    - #### getWriteOutputSolutionEnabled

          public Boolean getWriteOutputSolutionEnabled()

    - #### setWriteOutputSolutionEnabled

          public void setWriteOutputSolutionEnabled​(Boolean writeOutputSolutionEnabled)

    - #### getInputSolutionFileList

          public List<File> getInputSolutionFileList()

    - #### setInputSolutionFileList

          public void setInputSolutionFileList​(List<File> inputSolutionFileList)

    - #### getProblemStatisticEnabled

          public Boolean getProblemStatisticEnabled()

    - #### setProblemStatisticEnabled

          public void setProblemStatisticEnabled​(Boolean problemStatisticEnabled)

    - #### getProblemStatisticTypeList

          public List<ProblemStatisticType> getProblemStatisticTypeList()

    - #### setProblemStatisticTypeList

          public void setProblemStatisticTypeList​(List<ProblemStatisticType> problemStatisticTypeList)

    - #### getSingleStatisticTypeList

          public List<SingleStatisticType> getSingleStatisticTypeList()

    - #### setSingleStatisticTypeList

          public void setSingleStatisticTypeList​(List<SingleStatisticType> singleStatisticTypeList)

    - #### buildProblemBenchmarkList

          public <Solution_> void buildProblemBenchmarkList​(SolverConfigContext solverConfigContext,
                                                            SolverBenchmarkResult solverBenchmarkResult,
                                                            Solution_[] extraProblems)

    - #### inherit

          public ProblemBenchmarksConfig inherit​(ProblemBenchmarksConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<ProblemBenchmarksConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public ProblemBenchmarksConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<ProblemBenchmarksConfig>`
      Returns:
        new instance